How to install latest APKs on DJI CrystalSky

Download

The latest APKs of Pix4Dcapture can be accessed below to be installed on DJI CrystalSky.

The zip file contains all APKs (Pix4Dcapture, Ctrl+DJI, Ctrl+Parrot, Ctrl+Parrot 2, Ctrl+Yuneec) or it is possible to download them individually:

 
Note: To install the application on DJI CrystalSky, only Pix4Dcapture and Ctrl+DJI APKs are necessary.

Install

When installing, ensure to give all the permissions the applications need.

Install directly on the CrystalSky

1. In the main menu, tap Applications and then tap Browser.
2. Download the APKs from the links above. There is not a systematic notification that the download has started.
3. Once downloaded, in the main menu, tap Applications and then tap Downloads.
4. Tap on the APKs file downloaded and install them.
5. Go to the Applications menu and open Ctrl+DJI.
6. From Ctrl+DJI open Pix4Dcapture.

Install using an SD card

1. Using any device where an SD card can be plugged, download the necessary APKs from the links above and save them on the SD card.
2. Once downloaded, plug the SD card on the DJI CrystalSKy.
3. On the DJI CrystalSky, in the main menu, tap Explorer and access the SD card.
4. Tap on the APKs and install them.
5. Go to the Applications menu and open Ctrl+DJI.
6. From Ctrl+DJI open Pix4Dcapture.

 
Note: It is also possible to install those APKs on the Phantom 4 Pro+ which get an integrated screen. However, the Phantom 4 Pro+ is not supported officially on Pix4Dcapture ((Android, iOS) Which drones are supported by Pix4Dcapture) but some users had succeeded to make it work quite nicely using this Phantom 4 Pro +. This workaround is not valid anymore with the Phantom 4 Pro+ V2 so far.
Was this article helpful?
3 out of 6 found this helpful

Article feedback (for troubleshooting, post here)

5 comments

  • Jimmy Cerna

    Hello I try to use pix4d capture in Crystalsky but never works I listening that use ADB Android for fix that do you have any news o step for make that?

    Jimmy Cerna

    jimmycernab@gmail.com

  • Gaël (Pix4D)

    Hi Jimmy,

    Thank you for contacting us.
    To be able to help you the best way as possible, can you explain to us what is not working when following the above procedure to install the APKs on the CrystalSky? You can send us some screenshots if relevant.

    Best,

  • Jimmy Cerna

    Thank you for you answer the problem is that Ctrl+DJI never connected try to connecting but can`t the message NOT CONECTED show me, only PIX4DCAPTURE connect and I can see all funtion(I can see postion GPS of the drone, configureted a mission) but when I try to use in one mission message show me "Connected you equipament" or your Drone sometime like that then I can`t use pix4d.

    In your list of compatible with Android https://support.pix4d.com/hc/en-us/articles/203991609--Android-iOS-Which-drones-are-supported-by-Pix4Dcapture?fbclid=IwAR2IPaGI7dTrfPTG6RMTAqR71mGtMwEhsb78p_7zGQDtRDWmmTF9mAH_-3k  you say that Phantom 4 pro +v2.0 no compatible, this is true?

    Maybe I need to diseable the SW DJI GO CAPTURE.

    Listen in a forum no offcial that reconfiguring with the ANDROID ADB in the CrystalSky can disable the DJIGO Capture and route everything through the pix4d, do you know any of this?

  • Dale Brazier

    I am also having trouble with a Phantom 4 Pro+ V2.0, there is a forum post linked showing a possible solution https://support.pix4d.com/hc/en-us/community/posts/115000253163-Phantom-4-Pro-?page=2#comments

    However I believe that the video shows a non V2.0 drone as it is an obsidian model.

    Is Pix4D compatible with the Phantom 4 Pro+ V2.0 controller?

    As DJI advertises that they now allow 3rd party apps to be installed in the Pro+ V2.0 controller (verified by my testing) is there a version being developed to work with the Pro+ V2.0 controller?

    Edited by Dale Brazier
  • Gaël (Pix4D)

    Hi Jimmy & Dale, 

    About the Phantom 4 Pro + V2 (P4P+ V2), as you can see on our supported drones webpage, it is not supported by Pix4Dcapture at the moment and it is not in the pipeline to support it.

Please sign in to leave a comment.